(function($, Drupal) {
  
   Drupal.behaviors.reserv = {
    attach:function() {
		//datepicker UI
        $('#edit-date').datepicker({
			dateFormat: "dd-mm-yy",
			maxDate: 30,
			minDate: 0,
			firstDay: 1,
			showAnim: 'fadeIn',
			showOtherMonths:false,
		});
		
		//input mask
		$("#edit-form-phone").mask("+7(999) 999-99-99");
		
		//click table
		$('.reserv.yes').click(function(){
		
			var id = $(this).attr('id').replace('reserv-', '');
			
			$('#reserv-order-form #edit-form-id-table').attr('value', id);
			$('#reserv-order-form #edit-form-num').attr('value', id);
			modalForm();
			
		});
		
		//+-
		$('#edit-form-count').before('<span class="reserv-count count-minus">-</span>');
		$('#edit-form-count').after('<span class="reserv-count count-plus">+</span>');
		$('.count-minus').click(function () {
            var $input = $(this).parent().find('input');
            var count = parseInt($input.val()) - 1;
            count = count < 1 ? 1 : count;
            $input.val(count);
            $input.change();
            return false;
        });
        $('.count-plus').click(function () {
            var $input = $(this).parent().find('input');
            $input.val(parseInt($input.val()) + 1);
            $input.change();
            return false;
        });
		
		//ui dialog
		function modalForm(){
			$('#reserv-order-form').dialog();
		}

    }
  };
  
}(jQuery, Drupal));