<?php
	
	/**
	* Ф-я получения информации брони по его id
	*/
	
	function reserv_admin_search(){
		
		$fields = array('id', 'res_id', 'num', 'name', 'phone', 'email', 'date', 'time', 'count', 'status');
		$title = array(t('дата'), t('время'), t('номер столика'), t('на чье имя бронь'), t('номер телефона'), t('email'), t('количество человек'), t('статус'), t('редактировать'));
		$id_order = $_GET['id_order']; // получили id брони
		$thead = '';
		
		//вытаскиваем информацию из БД по его уникальному id
		$query = db_select('reserv', 'up');
		   $query
			 ->condition('up.res_id', $id_order)
			 -> fields('up', $fields);
		   $result = $query->execute();
		
		$rows = array();
		$i = 0;
		
		//получили массив значений из БД
		foreach($result as $result){
		
			$id = $result -> id;
			$status = $result -> status;
			$res_id = $result -> res_id;
		 
			$rows[$i] = array(
				$result -> date,
				$result -> time,
				$result -> num,
				$result -> name,
				$result -> phone,
				$result -> email,
				$result -> count,
			);
		 
			// проверка статуса заявки
			if($status == 0){
		 
			$status = array(
				'data' => 'Не подтверждено',
				'class' => 'reserv-status off',
			);
			
			}else{
				$status = t('Подтвержден');
				$status = array(
					'data' => 'Подтвержден',
					'class' => 'reserv-status comp',
				);
			}
		 
			array_push($rows[$i], $status, '<a href="edit/?id=' .$id .'&id_order=' .$id_order .'">' .t('Изменить') .'</a>');
			$i++;
		 
		}
		
		if(!empty($rows)){
			return theme('table', array('header' => $title, 'rows' => $rows));
		}else{
			$message_search = t('Извините, но данный ID брони не числится в базе или был удален.');
			return drupal_set_message($message_search, 'error');
		}
	
		
	}